Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.servlet
Class ServletRequestWrapper

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.deegree.enterprise.servlet.ServletRequestWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class ServletRequestWrapper

extends javax.servlet.http.HttpServletRequestWrapper

TODO describe function and usage of the class here.

Version:
  $Revision: 25949 $, $Date: 23.05.2007 18:09:52$
Author:
  Andreas Poth, last edited by: $Author: mays$

Field Summary
`(package private) static ResourceBundle` | `RESOURCE_BUNDLE` The resource to load the users from.

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`ServletRequestWrapper(javax.servlet.http.HttpServletRequest request)`

Method Summary
`javax.servlet.ServletInputStream` | `getInputStream()`
`String` | `getMethod()`
`String` | `getParameter(String key)`
`Map<String,String[]>` | `getParameterMap()`
`String[]` | `getParameterValues(String arg0)`
`String` | `getQueryString()`
`BufferedReader` | `getReader()`
`Principal` | `getUserPrincipal()`
`void` | `markAsPostRequest()` marks an instance of a `ServletRequestWrapper(HttpServletRequest)` as using HTTP POST.
`void` | `setInputStreamAsByteArray(byte[] b)` sets the content of the @see `InputStream` returned by the
`void` | `setParameter(Map<String,String> param)`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getPathInfo, getPathTranslated, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameterNames, getProtocol, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameterNames, getProtocol, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Field Detail

### RESOURCE_BUNDLE

    static final ResourceBundle RESOURCE_BUNDLE

  The resource to load the users from.

Constructor Detail

### ServletRequestWrapper

    public ServletRequestWrapper(javax.servlet.http.HttpServletRequest request)

Parameters:
  `request` -

Method Detail

### getParameterMap

    public Map<String,String[]> getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getParameter

    public String getParameter(String key)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public String[] getParameterValues(String arg0)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

### setParameter

    public void setParameter(Map<String,String> param)

  Parameters:
    `param` -

### getQueryString

    public String getQueryString()

  Specified by:
    `getQueryString` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getQueryString` in class `javax.servlet.http.HttpServletRequestWrapper`

### markAsPostRequest

    public void markAsPostRequest()

  marks an instance of a `ServletRequestWrapper(HttpServletRequest)` as using HTTP POST. This method just should be invoked if a request body as an @see `InputStream` (byte array) is available

### getMethod

    public String getMethod()

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getMethod` in class `javax.servlet.http.HttpServletRequestWrapper`

### setInputStreamAsByteArray

    public void setInputStreamAsByteArray(byte[] b)

  sets the content of the @see `InputStream` returned by the

  Parameters:
    `b` -
  See Also:
    `and the`, `method as a byte array. Calling this method will override the content that may has been read from the `HttpServletRequest` that has been passed to the constructor`

### getReader

    public BufferedReader getReader()
                             throws IOException

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getReader` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `IOException`

### getInputStream

    public javax.servlet.ServletInputStream getInputStream()
                                                    throws IOException

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getInputStream` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `IOException`
  See Also:
    `ServletRequest.getInputStream()`

### getUserPrincipal

    public Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getUserPrincipal` in class `javax.servlet.http.HttpServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org